Skip to content
Start here

List certificate authorities

client.radar.ct.authorities.list(AuthorityListParams { format, limit, offset } query?, RequestOptionsoptions?): AuthorityListResponse { certificateAuthorities }
GET/radar/ct/authorities

Retrieves a list of certificate authorities.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query: AuthorityListParams { format, limit, offset }
format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit?: number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
offset?: number

Skips the specified number of objects before fetching the results.

minimum0
ReturnsExpand Collapse
AuthorityListResponse { certificateAuthorities }
certificateAuthorities: Array<CertificateAuthority>
certificateRecordType: "ROOT_CERTIFICATE" | "INTERMEDIATE_CERTIFICATE"

Specifies the type of certificate in the trust chain.

One of the following:
"ROOT_CERTIFICATE"
"INTERMEDIATE_CERTIFICATE"
country: string

The two-letter ISO country code where the CA organization is based.

countryName: string

The full country name corresponding to the country code.

name: string

The full name of the certificate authority (CA).

owner: string

The organization that owns and operates the CA.

parentName: string

The name of the parent/root certificate authority that issued this intermediate certificate.

parentSha256Fingerprint: string

The SHA-256 fingerprint of the parent certificate.

revocationStatus: "NOT_REVOKED" | "REVOKED" | "PARENT_CERT_REVOKED"

The current revocation status of a Certificate Authority (CA) certificate.

One of the following:
"NOT_REVOKED"
"REVOKED"
"PARENT_CERT_REVOKED"
sha256Fingerprint: string

The SHA-256 fingerprint of the intermediate certificate.

List certificate authorities

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const authorities = await client.radar.ct.authorities.list();

console.log(authorities.certificateAuthorities);
{
  "result": {
    "certificateAuthorities": [
      {
        "certificateRecordType": "ROOT_CERTIFICATE",
        "country": "PT",
        "countryName": "Portugal",
        "name": "MULTICERT Advanced Certification Authority 005",
        "owner": "MULTICERT",
        "parentName": "MULTICERT Root Certification Authority 01",
        "parentSha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3",
        "revocationStatus": "NOT_REVOKED",
        "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "certificateAuthorities": [
      {
        "certificateRecordType": "ROOT_CERTIFICATE",
        "country": "PT",
        "countryName": "Portugal",
        "name": "MULTICERT Advanced Certification Authority 005",
        "owner": "MULTICERT",
        "parentName": "MULTICERT Root Certification Authority 01",
        "parentSha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3",
        "revocationStatus": "NOT_REVOKED",
        "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3"
      }
    ]
  },
  "success": true
}